import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_request.dart';
import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_response.dart';

class ConvertFactory {
  static String convertToXml<Request extends BaseRequest>(Request request) {
    return request.buildXml();
  }

  static Response parseXml<Response extends BaseResponse>(
      String response, Response responseType) {
    return responseType.parseXml(response);
  }
}
