import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_response.dart';

/// 修改密码返回协议内容
///
class ChangePwdResponse with BaseResponse {
  static const String SUCCESS = "0x00000000";
  static const String FAIL = "0x13014023";
  ChangePwdResponse();
  bool isSuccess;
  String response;

  @override
  ChangePwdResponse parseXml(String xmlData) {
    return ChangePwdResponse.parseXml(xmlData);
  }

  factory ChangePwdResponse.parseXml(String xmlData) {
    ChangePwdResponse changePwdResponse = ChangePwdResponse();
    changePwdResponse.response = xmlData;
    changePwdResponse.isSuccess = xmlData.startsWith(SUCCESS);
    return changePwdResponse;
  }
}
