import 'package:xdja_bridge/gprs_server/protocol/base_protocol/base_response.dart';
/**
 * 登出请求协议
 * 一般登出只发送请求，不关注结果
 */

class LogoutResponse with BaseResponse {
  static const String SUCCESS = "-9 用户退出";
  LogoutResponse();
  bool isSuccess;

  @override
  LogoutResponse parseXml(String xmlData) {
    return LogoutResponse.parseXml(xmlData);
  }

  factory LogoutResponse.parseXml(String xmlData) {
    var logoutResponse = LogoutResponse();
    logoutResponse.response = xmlData;
    logoutResponse.isSuccess = xmlData == SUCCESS;
    return logoutResponse;
  }
}
