import 'package:json_annotation/json_annotation.dart';

part 'login_fail_bean.g.dart';

List<LoginFailBean> getLoginFailBeanList(List<dynamic> list) {
  List<LoginFailBean> result = [];
  list.forEach((item) {
    result.add(LoginFailBean.fromJson(item));
  });
  return result;
}

@JsonSerializable()
class LoginFailBean extends Object {
  @JsonKey(name: 'result')
  String result;

  @JsonKey(name: 'operate_time')
  String operateTime;

  @JsonKey(name: 'r')
  String r;

  @JsonKey(name: 'loginsource')
  String loginsource;

  LoginFailBean(
    this.result,
    this.operateTime,
    this.r,
    this.loginsource,
  );

  factory LoginFailBean.fromJson(Map<String, dynamic> srcJson) =>
      _$LoginFailBeanFromJson(srcJson);

  Map<String, dynamic> toJson() => _$LoginFailBeanToJson(this);
}
